package com.ecep.contract.controller.project;

import com.ecep.contract.controller.tab.AbstEntityBasedTabSkin;
import com.ecep.contract.controller.tab.TabSkin;
import com.ecep.contract.model.Project;
import com.ecep.contract.service.ProjectService;
import com.ecep.contract.vm.ProjectViewModel;

public abstract class AbstProjectBasedTabSkin
        extends AbstEntityBasedTabSkin<ProjectWindowController, Project, ProjectViewModel>
        implements TabSkin {

    public AbstProjectBasedTabSkin(ProjectWindowController controller) {
        super(controller);
        viewModel = controller.getViewModel();
    }

    public ProjectService getProjectService() {
        return controller.projectService;
    }
}
